%global dlrn_nvr 18.6.1-17.1.20230622035735.81b081d
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version: 18.6.1
Release: 17.1.20230622035736.81b081d%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        ASL 2.0

URL:            https://launchpad.net/puppet-glance

Source0: 18.6.1-17.1.20230622035735.81b081d.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=81b081d759883b23fa01d5ef6abdd3c0c41b603d

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-glance-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622035735.81b081d
- Update patches

* Fri Jan 27 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230128003900.81b081d
- Update patches
- Add support for MultiStrOpt

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226015959.5a287ee
- Update patches
- Remove centos8 wallaby tripleo jobs

* Tue Nov 15 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221116013726.11b99bf
- Update patches
- Ensure [DEFAULT] show_multiple_locations is cleared

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109015532.f1ee98b
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108091744.f1ee98b
- Update patches
- setuptools: Disable auto discovery

* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221025084017.83ad721
- Update patches
- Prepare the final wallaby release

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728043531.4ab30d3
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727195805.4ab30d3
- Configure the oslo.concurrency lock_path (rhbz#2101688)

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718133314.4ab30d3
- Update patches
- Configure the oslo.concurrency lock_path

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714145518.7369989
- Update patches
- Add sleep in cache cron jobs

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 20.2.0-0.20220307031618.a889383
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217230542.adc1f24
- Update patches

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220215230157.adc1f24
- Update patches
- Disallow sheepdog backend

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204004152.72bbb10
- Update patches
- Prepare a new Wallaby release

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211102223320.994a38c
- Update patches
- Swift backend: Use Keystone v3 API by default

* Fri Oct 29 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211029100756.572f60e
- Update patches

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211029002605.572f60e
- Update patches
- Swift backend: the key parameter should be secret

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210825090829.9aab568
- Update patches
- Fix wrong parameter name in deprecation warning
- Add support for healthcheck middleware options

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210604001957.aaae382
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528160855.da08bab
- Update patches
- TripleO: Reduce tempest test scope

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.1-0.20210428171013.75aedf2
- Update patches
- Add new parameter required for secure RBAC configuration

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.1-0.20210427014921.0ed1cb6
- Update patches
- Drop the tripleo-puppet-undercloud job

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal
- Clean up remaining items for glance-registry

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new conf parameter required for distribute image import
- Add support for the oslo_policy/enforce_scope parameter

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use multistore modules in the example manifest

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add config parameter for cinder mounting needs
- Filter out direct_url from image properties
- Ignore stores image property

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- cinder backend: password should be secret
- Add cinder volume type for multiple cinder stores

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate the swift_store_config_file parameter
- Use glance-swift.conf by default

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build containers for single consumer job

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate database options from the glance::api class
- Add support for the keystone_authtoken/service_type parameter
- Simplfy logic to generate list opts

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for image_format/container_formats

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql
- Update comment to fix lint

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare a new release for victoria cut off
- Prepare Victoria GA
- Follow redirects in glance_image provider

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add sparse image upload configuration parameters

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for image_format/disk_fomats configuration
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout
- Do not validate database_connection format

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ignore onwer_specifed.* properties in images
- Use common class to manage apache service in beaker job
- Add mysql_enable_ndb option

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for db purge cron jobs

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate glance::api::enable_v2_api

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for glance-registry service

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change to relative include

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add swift buffer-on-upload options for swift multibackend

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate enable_v1_api parameter

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add cache prefetcher interval configuration option
- Remove remaining os_region_name

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages/services

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0
- Fix rabbitmq version in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken Puppet::Provider::Glance

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add cinder_os_region_name parameters for cinder backend

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for multipath connection in cinder backend

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup os_region_name in cinder backend

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make tempest scope more strict

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop compatibility for el6
- Expect python3 client package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use centos-8 standalone puppet parent
- Use centos-8 standalone puppet parent

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Sun Feb 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate glance::registry

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2
- Deprecate glance::api::show_multiple_locations
- Deprecate glance api parameters related to glance registry

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update the method of configuring glance backends"
- Update the method of configuring glance backends

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update the constraints url"
- Update the constraints url

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix properties in glance_image provider for osc >= 4.0.0

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




